"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.concierge = void 0;
var concierge = function (payload, hooks, id, parent) {
    var processRead = hooks.processRead;
    var pushEvent = hooks.pushEvent;
    var thisPayload = (payload && payload[0]) || false;
    var command = (thisPayload && thisPayload[0] && thisPayload[0][0]) || null;
    var parameters = (thisPayload && thisPayload[0] && thisPayload[0][1]) || null;
    var parameterOne = (parameters && parameters[0]) || null;
    var parameterTwo = (parameters && parameters[1]) || null;
    switch (command) {
        case "goto":
            switch (parameterOne) {
                case "home":
                    processRead("/", parameterOne);
                    break;
                case "concierge":
                    processRead("/concierge/".concat(parameterTwo), parameterOne);
                    break;
                case "context":
                    if (id && pushEvent)
                        pushEvent({
                            id: id.id,
                            title: id.title,
                            type: "Pane",
                            verb: "DISCOVERED",
                        }, id);
                    processRead("/context/".concat(parameterTwo), parameterOne, parent);
                    break;
                case "product":
                    processRead("/products/".concat(parameterTwo), parameterOne);
                    break;
                case "storyFragment":
                    if (id && pushEvent)
                        pushEvent({
                            id: id.id,
                            title: id.title,
                            type: "StoryFragment",
                            verb: "DISCOVERED",
                        }, id);
                    processRead(parameterTwo, parameterOne);
                    break;
                case "anchor":
                    processRead("#", parameterTwo);
                    break;
                case "url":
                    window.location.replace(parameterTwo);
                    break;
                default:
                    console.log("LispActionPayload misfire on goto", parameters);
            }
            break;
        default:
            console.log("LispActionPayload misfire", command, parameters);
            break;
    }
};
exports.concierge = concierge;
//# sourceMappingURL=concierge.js.map